diff -r f25f3fee4da7 lib/galaxy/webapps/galaxy/controllers/dataset.py
--- a/lib/galaxy/webapps/galaxy/controllers/dataset.py	Fri Mar 08 16:01:25 2013 -0500
+++ b/lib/galaxy/webapps/galaxy/controllers/dataset.py	Fri Mar 08 17:42:23 2013 -0500
@@ -171,14 +171,17 @@
     
     @web.expose
     def errors( self, trans, id ):
+        hda = None
         try:
-            hda = trans.sa_session.query( model.HistoryDatasetAssociation ).get( id )
-        except:
-            hda = None
-        if not hda:
-            hda = trans.sa_session.query( model.HistoryDatasetAssociation ).get( trans.security.decode_id( id ) )
+            # only sent from the history panel (which uses encoded ids)
+            decoded_id = trans.security.decode_id( id )
+            hda = trans.sa_session.query( model.HistoryDatasetAssociation ).get( decoded_id )
+        except Exception, exc:
+            log.error( 'Could not retrieve hda with id "%s": %s', id, str( exc ), exc_info=True )
+
         if not hda or not self._can_access_dataset( trans, hda ):
-            return trans.show_error_message( "Either this dataset does not exist or you do not have permission to access it." )
+            return trans.show_error_message( "Either this dataset does not exist "
+                                           + "or you do not have permission to access it." )
         return trans.fill_template( "dataset/errors.mako", hda=hda )
 
     @web.expose
